Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 84161 - Blank space (and section labels) in Design View is expected to be more active
Blank space (and section labels) in Design View is expected to be more active
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Schema Tools
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Girish Balachandran
issues@xml
http://xdesign-tools.czech.sun.com/us...
55EP_RR_DOCS
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-04 17:51 UTC by Jiri Kopsa
Modified: 2006-10-16 21:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Kopsa 2006-09-04 17:51:27 UTC
See URL.

A contextual menu should pop up when the user right clicks on the blank space
(or label of a section) in Design View. It should contain one action "Add
Element" or "Add Complex Type". Also it should be possible to drop an element or
complex type to blank space to create a new one.

A single click in blank space should exit in-place editing mode.
Comment 1 Girish Balachandran 2006-09-08 02:32:48 UTC
Fixed on 9/7
Comment 2 Jiri Kopsa 2006-09-19 09:14:13 UTC
Thanks for the fix!

I can see that:
* there is contextual menu in blank space
* click in blank space leaves the editing mode.

But, there is still something to be fixed - see URL.
* "... it should be possible to drop an element or complex type to blank space
to create a new one." --- to blank space and also to section label
* The contextual menu should not contain "Add Global *" but just "Add *"
Comment 3 htt 2006-09-19 18:31:10 UTC
Reopen per "Additional comments from jkopsa Tue Sep 19 08:14:13 +0000 2006"
Comment 4 Girish Balachandran 2006-09-20 04:35:03 UTC
fixed on 9/19
Comment 5 Jiri Kopsa 2006-09-21 11:32:11 UTC
A small bug: When you DnD a type or element on blank space, the appropriate
section expands but the expand button remains in 'collapsed' state.
Comment 6 Jiri Kopsa 2006-09-28 13:01:11 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo